Bug 128065 - at/batch do not work for tcsh users (again)
at/batch do not work for tcsh users (again)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-16 18:30 EDT by Nigel Metheringham
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 14:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2004-07-16 18:30:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Any attempt by a user that uses tcsh as their shell
to set up an at or batch job fails at job run time.

The error message mailed back says:-
  TERM: Undefined variable.

An strace on the atd shows that tcsh appears to be
being started to handle the job.

Setting the SHELL environment variable no longer fixes this
(as in the previous incarnation of this bug).  There no longer
appear to be switches to select the run time shell.

This is on a current FC2 system (tried on 3 different boxes,
one a clean install, 2 upgrades from FC1).  Selinux is disabled.

This is a reversion after fixes for FC1 detailed in Bug #109587
and Bug #117276
The method of failure is slightly different to the referenced
bugs.


Version-Release number of selected component (if applicable):
at-3.1.8-53

How reproducible:
Always

Steps to Reproduce:
1. Use acount with tcsh shell
2. echo ls | batch
3. Examine email

Additional info:
Comment 1 Jason Vas Dias 2004-07-27 14:43:52 EDT
 
 The problem here is that one of your rc files 
 (see "FILES" section in man tcsh) is referencing
 the $TERM variable, which has not been defined,
 causing the execution to terminate. 
 I created a new user with tcsh as the shell,
 without having any rc files, and was able to use
 'at' fine, with no errors. 
 Try this:
  grep TERM ~/.tcshrc ~/.cshrc ~/.login
 One of these files will be accessing $TERM before
 it has been set.
 

Note You need to log in before you can comment on or make changes to this bug.